Hotel Promotions

Specifies Promotions and Discount

post
/promotions

The Promotions message defines rules for discounting rates using OTA_HotelRateAmountNotifRQ.

For each rate, the defined promotions are evaluated and the greatest allowed discount is applied to the rate.

This message type is optional and you only need to define promotions if they are used in your system to apply rate discounts.

You can combine promotions and apply them to different user attributes, such as device types (mobile, tablet, desktop) and country codes.

Authorizations
AuthorizationstringRequired
Body

The root element of a promotions message.

EchoTokenstring · min: 1 · max: 100Required

A unique identifier for this request message. This value is returned in the response message. Allowed characters are a-z, A-Z, 0-9, _ (underscore), and - (dash). The minimum length of this identifier is 1 (inclusive) and maximum length is 100 (inclusive)

Example: 5fe69c95ed70a9869d9f9af7d8400a6673bb9ce9Pattern: ^[a-zA-Z0-9_-]{1,}$
Timestampstring · date-timeRequired

The creation date and time of this message. The date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z Format :YYYY-MM-DDTHH:mm:ss.SSS+|-HH:mm[Z]

VersionstringOptional

Current API Version. Example- '1.0'

Example: 1.0
Responses
chevron-right
200

Success Response

Indicates that the request message was processed successfully or not. Either 'Success' or 'Errors' is present in each message.

Timestampstring · date-timeRequired

The creation date and time of this message. The date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z Format :YYYY-MM-DDTHH:mm:ss.SSS+|-HH:mm[Z]

VersionstringOptional

Current API Version. Example- '1.0'

Example: 1.0
EchoTokenstring · min: 1 · max: 100Required

A unique identifier for this request message. This value is returned in the response message. Allowed characters are a-z, A-Z, 0-9, _ (underscore), and - (dash). The minimum length of this identifier is 1 (inclusive) and maximum length is 100 (inclusive)

Example: 5fe69c95ed70a9869d9f9af7d8400a6673bb9ce9Pattern: ^[a-zA-Z0-9_-]{1,}$
SuccessobjectOptional

Indicates that the request message was processed successfully

post
/promotions

Get all Promotions by hotel code

get
/promotions/{hotelCode}
Authorizations
AuthorizationstringRequired
Path parameters
hotelCodestringRequired
Query parameters
Requester_IDstringOptional
Responses
chevron-right
200

Success

application/json

Get the whole information of Promotions from the dataset.

EchoTokenstring · min: 1 · max: 100Optional

A unique identifier for this request message. This value is returned in the response message. Allowed characters are a-z, A-Z, 0-9, _ (underscore), and - (dash). The minimum length of this identifier is 1 (inclusive) and maximum length is 100 (inclusive)

Example: 5fe69c95ed70a9869d9f9af7d8400a6673bb9ce9Pattern: ^[a-zA-Z0-9_-]{1,}$
Timestampstring · date-timeOptional

The creation date and time of this message. The date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z Format :YYYY-MM-DDTHH:mm:ss.SSS+|-HH:mm[Z]

VersionstringOptional

Current API Version. Example- '1.0'

Example: 1.0
get
/promotions/{hotelCode}
200

Success

Last updated